<!-- <div class="button-container">
    <div *ngIf="!selectedGroup" class="button-list">
    </div>
</div> -->
<div class="group-container">

    <mat-card *ngIf="!selectedGroup" class="profile-card">
        <mat-card-header>
            <mat-card-title>Hello, {{ userInfo.username }}</mat-card-title>
            <mat-card-subtitle>User Profile</mat-card-subtitle>
        </mat-card-header>
        <mat-card-content>
            <mat-list class="profile-info" role="list">
                <mat-list-item role="listitem">Username: {{ userInfo.username }}</mat-list-item>
                <mat-list-item role="listitem">Email: {{ userInfo.email }}</mat-list-item>
                <mat-list-item role="listitem">Total Discussions: {{ userInfo.totalDiscussions }}
                </mat-list-item>
            </mat-list>
        </mat-card-content>
        <mat-card-actions>
            <button mat-button (click)="editUserInfo()">EDIT</button>
            <button mat-button (click)="createGroup()">Create Group</button>
        </mat-card-actions>
    </mat-card>
    <div *ngIf="!selectedGroup" class="list-container">
        <br>
        <h1>Joined Groups</h1>

        <mat-grid-list cols="2" gutterSize="1.2em" rowHeight="70px">
            <mat-grid-tile colspan="1" rowspan="1" *ngFor="let g of groupsList" (click)="selectGroup(g)">
                {{g.name}}
            </mat-grid-tile>
        </mat-grid-list>
    </div>
    <!-- <div *ngIf="!selectedGroup" class="create-group">
        <mat-grid-list cols="1" gutterSize="1.2em" rowHeight="70px">
            <mat-grid-tile>
                CreateGroup
            </mat-grid-tile>
        </mat-grid-list>
    </div> -->
    <div *ngIf="selectedGroup">
        <div class="tabs-bar">
            <a (click)="unselectGroup()" style="float: left;" class="tab">&lt;- Back</a>
            <a routerLink="home" class="tab">Home</a>
            <a routerLink="discussions" class="tab">Discussions</a>
            <a routerLink="chat" class="tab">Chat</a>
        </div>
    </div>
    <router-outlet></router-outlet>
</div>

<div class="modal-background" *ngIf="editingUserInfo" [class.display-flex]="editingUserInfo" (click)="cancelEditUser()">
    <div class="edit-user-modal" (click)="$event.stopPropagation()" *ngIf="editingUserInfo">
        <div>
            <h3>Change Your Profile Information</h3>
            <mat-form-field>
                <mat-label for="username">Username</mat-label>
                <input matInput id="username" name="username" />
            </mat-form-field>
            <mat-form-field>
                <mat-label for="email">Email</mat-label>
                <input matInput id="email" name="email" />
            </mat-form-field>
            <mat-form-field>
                <mat-label for="password">Password</mat-label>
                <input type="password" matInput id="password" name="id" />
            </mat-form-field>
            <button mat-raised-button type="submit" (click)="submitEditUser()">Submit</button>
            <br>
            <div *ngIf="editMessage !== ''">{{ editMessage }}</div>
        </div>
    </div>
</div>

<div class="modal-background" *ngIf="creatingGroup" [class.display-flex]="creatingGroup" (click)="cancelCreateGroup()">
    <div class="edit-user-modal" (click)="$event.stopPropagation()" *ngIf="creatingGroup">
        <div>
            <h3>Create a new Group!</h3>
            <mat-form-field>
                <mat-label for="groupName">Group Name</mat-label>
                <input matInput id="groupName" name="groupName" />
            </mat-form-field>
            <mat-form-field>
                <mat-label for="groupName">Description</mat-label>
                <input matInput id="description" name="description" />
            </mat-form-field>
            <button mat-raised-button type="submit" (click)="submitCreateGroup()">Submit</button>
            <br>
            <div *ngIf="editMessage !== ''">{{ editMessage }}</div>
        </div>
    </div>
</div>